import request from '@/utils/request'

// 获取冰柜列表
export function getIcelocker(parameter) {
  return request({
    url: '/api/ice-locker',
    method: 'get',
    params: parameter
  })
}

// 添加冰柜
export function addIcelocker(parameter) {
  return request({
    url: '/api/ice-locker',
    method: 'post',
    data: parameter
  })
}

// 编辑冰柜
export function putIcelocker(parameter) {
  return request({
    url: '/api/ice-locker',
    method: 'put',
    data: parameter
  })
}

// 删除冰柜
export function delIcelocker(parameter) {
  return request({
    url: '/api/ice-locker',
    method: 'delete',
    data: parameter
  })
}

//导入冷链平台冰柜
export function importIceLocker(parameter) {
  return request({
    url: '/api/ice-locker/import',
    method: 'post',
    data: parameter
  })
}
